rerwig / my-deja.com wrote:
> 
> I can't get the Tk demo to work for the Ruby 1.4.5 windows distribution.
> Issuing: ruby sample\tk\tkhello.rbw
> results:
>   LoadLibraryExA: c:/ruby/lib/tcltklib80.dll
>   c:/ruby/lib/tcltklib.rb:5:in  'require': 1157: One of the library
> files needed to run this application cannot be found.  -
> c:/ruby/lib/tcltklib80.dll (LoadError)
>   from c:/ruby/lib/tcltklib.rb:5
>   from c:/ruby/lib/tk.rb:7:in 'require'
>   from c:/ruby/lib/tk.rb:7
>   from sample\tk\tkhello.rbw:1:in 'require'
>   from sample\tk\tkhello.rbw:1
> 
> Fiddling with some found advice in this news group about setting
> TCL_LIBRARY didn't help either as it was not stated what exactly the
> settings for TCL_LIBRARY should be. I did change the tcltklib.rb file
> as instructed by the distribution.
> 
> Is there somebody who can give me any pointers?

Well, I used Tcl/Tk 8.3, and set tcltklib.rb accordingly (i.e.
"TCLTKLIB_VERSION = 83"). My wild guess from the dll (tcltklib80.dll)
mentioned in your error message is that you used Tcl/Tk 8.0. I also have
TCL_LIBRARY set to 8.3, and the .../TclTk/bin directory is also on my
PATH. FWIW, I'm running on Win/NT 4.

Hopefully someone else will have a better idea of what the problem is
and what to do about it, but the first thing I would do is get the
latest version of Tcl/Tk. 

-- 
Conrad Schneiker
(This note is unofficial and subject to improvement without notice.)